LFR-FSW - Bug #1037

HK 1Hz 3.2.0.12: mauvaises valeurs DC + distorsions visibles sur signaux faibles
29/03/2017 10:19 AM - thomas chust
Description

Le nouveau filtre lIR implémenté hier donne encore quelques soucis. Le #1033 n'aurait pas da étre fermé si rapidement.

1) Les valeurs d'offset ou valeurs moyennes des CWF_F3 ne se retrouvent pas sur les HK :
2) Un sinus a 50mHz (donc dans la bande passante) avec une amplitude de 30 mV (certes pas trés forte mais tout a fait résolu par
LFR) donne des signes de manque de précision; au passage le probleme de la mauvaise valeur moyenne est aussi clairement
visible:
3) Le sinus & 50 mHz et 3V d'amplitude semble bien correcte. Par contre faire attention que par rapport a la moyenne glissante le
retard de phase n'est plus de ~0.5s mais de ~2s:
History

#1 - 31/03/2017 02:25 PM - Alexis Jeandet
- File LFR_Pot_Filter.html added
- Status changed from New to Feedback

- Assignee changed from Alexis Jeandet to paul leroy

En effet le premier étage du filtre avait un gain de -40dB, voici une version sans distorsion.

#2 - 04/04/2017 08:06 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

Prise en compte des coefficients dans 3.2.0.14.

#3 - 04/04/2017 12:26 PM - bruno katra
- Status changed from Feedback to Closed

Résolu en 3.2.0.14 (testé sur EQM)
